
import { Container } from 'inversify';
import { IClientTextFileService, ClientTypes as FileTypes, IUntitledEditorService } from '@files-stack/core';
import { IEditorService, ClientTypes, IModelService, IService  } from '@workbench-stack/core';


export class Service implements IService {

    constructor(
        private container: Container,
    ) {
        //
    }
    public readonly editorService = this.container.get<IEditorService>(ClientTypes.IEditorService);
    public readonly modelService = this.container.get<IModelService>(ClientTypes.IModelService);
    public readonly textFileService = this.container.get<IClientTextFileService>(FileTypes.ITextFileService);
    public readonly untitledEditorService = this.container.get<IUntitledEditorService>(FileTypes.IUntitledService);
}

