import * as React from 'react';
import { InversifyContext } from '@workbench-stack/components';
import { IService } from '@workbench-stack/core';
import { Service } from './services';
import { getApolloContext } from '@apollo/react-common';

let __service_instance__: IService;
export function useService() {
  const { container } = React.useContext(InversifyContext);
  const { client } = React.useContext(getApolloContext());
  if (__service_instance__) {
    return __service_instance__;
  }
  if (!container) {
    throw new Error('Container is null');
  }
  container.bind('ApolloClient').toDynamicValue(context => client);
  container.bind('InMemoryCache').toDynamicValue(context => client.cache);
  const service = new Service(container);
  __service_instance__ = service;
  return __service_instance__;
}
